DateTime::diff
DateTime::getLastErrors
DateTime
PHP Manual

# DateTime::format

(PHP 5 >= 5.2.0)

DateTime::format — Returns date formatted according to given format

### Description

public string DateTime::format ( string `$format` )
string date_format ( DateTime `$object` , string `$format` )

### Parameters

`object`

  Procedural style only: A DateTime object returned by date_create()

`format`

  Format accepted by date().

### Return Values

Returns formatted date on success or `FALSE` on failure.

### Examples

Example #1 Displaying the date and time using the procedural form

`<?php
date_default_timezone_set('Europe/London');
$datetime = date_create('2008-08-03 14:52:10');
echo date_format($datetime, 'jS, F Y') . "\n";
echo date_format($datetime, DATE_ATOM);
?>`

Example #2 Displaying the date and time using the object oriented form

`<?php
date_default_timezone_set('Europe/London');
$datetime = new DateTime('2008-08-03 14:52:10');
echo $datetime->format('jS, F Y') . "\n";
echo $datetime->format(DATE_ATOM);
?>
?>`

The above example will output:

    3rd, August 2008
    2008-08-03T14:52:10+01:00

### See Also

- date() - Format a local time/date

DateTime::diff
DateTime::getLastErrors
DateTime
PHP Manual